Create a virtual cardCopy Pagepost https://api.ramp.com/developer/v1/cards/deferred/virtualCall this endpoint to create an async task to request for new virtual card.Body Paramscard_program_iduuidAlternative method to create a card using a card program. If this value is given, no other attributes (other than idempotency_key) may be given.display_namestringCosmetic display name of the card.idempotency_keystringrequiredAn idempotency key is a unique value generated by the client which the server uses to recognize subsequent retries of the same request. To avoid collisions, we encourage clients to use random generated UUIDs.is_physicalbooleanDefaults to falseSet to true to create a physical cardtruefalseis_temporarybooleanDefaults to falseSet to true to create a temporary cardtruefalsespending_restrictionsobjectSpecifies the spend restrictions on a Ramp card.spending_restrictions objectuser_iduuidrequiredUnique identifier of the card owner.Response 200Response with the ID of the async task. Task status can be checked via a GET call to .../deferred/status/<task_id>Updated almost 3 years ago Did this page help you?YesNo